Subscriptions
A subscription is created when a customer buys a service with booking_type=subscription. Subscriptions can only be read with the API.
Attributes
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| person_id | Integer | Owner of the subscription |
| service_id | Integer | The service that was purchased |
| status | String | Values: active, cancelled, expired |
| current_period_start | Datetime | Start of the current paid period |
| current_period_end | Datetime | End of the current paid period |
| cancel_at_period_end | Boolean | True if the subscription stops at the end of the current period |
| quota | Integer | Number of uses per period, from the service. Null if unlimited |
| unlimited | Boolean | Unlimited number of uses, from the service |
| redeemable | Boolean | True if the status is active and the current period has not ended |
| remaining_units | Integer | Remaining number of uses in the current period. Null if unlimited |
Listing
GET /subscriptions will return all subscriptions.
Response
[
{
"subscription": {
"id": 1,
"person_id": 888,
"service_id": 6,
"status": "active",
"current_period_start": "2026-10-09T10:00:00+02:00",
"current_period_end": "2026-11-08T10:00:00+01:00",
"cancel_at_period_end": false,
"created_at": "2026-10-09T10:00:00+02:00",
"updated_at": "2026-10-09T10:00:00+02:00",
"quota": 4,
"unlimited": false,
"redeemable": true,
"remaining_units": 3
}
}
]
Query Parameters
| Name | Type | Description |
|---|---|---|
| person_id | Integer | Filter by person |
Get subscription
GET /subscriptions/{subscription_id} will get a subscription with id {subscription_id}.